Dismiss Notice
We would like to remind you that we’re updating our login process for all 3CX forums whereby you will be able to login with the same credentials you use for the Partner or Customer Portal. Click here to read more.

Cisco Supported Firmware?

Discussion in '3CX Phone System - General' started by TSlocum, Feb 25, 2016.

Thread Status:
Not open for further replies.
  1. TSlocum

    TSlocum New Member

    Joined:
    Oct 15, 2013
    Messages:
    225
    Likes Received:
    15
    Back on 3CX v12.5 the highest supported firmware was 7.5.5 for Cisco SPA514g phones. I was looking through my v14 install and noticed that the built-in firmware updater shows 7.6.1. Does v14 support the new firmware now? Is there a list of supported firmware versions somewhere?
     
  2. bricas

    Joined:
    Oct 21, 2015
    Messages:
    4
    Likes Received:
    0
    I have several (5+) Cisco SPA504G and 1 SPA514G all running on 3CX v14 (SP2) all running firmware 7.6.1.

    I have had no issues and everything works as expected that I have done so far.
     
  3. NickD_3CX

    NickD_3CX Support Team
    Staff Member 3CX Support

    Joined:
    Jun 2, 2014
    Messages:
    1,379
    Likes Received:
    84
    For the Cisco SPA phones, on V14 the supported firmware is now 7.6.1, just to avoid any very minor issues make sure you also update the Phone Templates as well as those have been slightly updated to work well with the 7.6.1 as well.
     
Thread Status:
Not open for further replies.